#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    unsigned x1,y1,x2,y2;
    cin>>x1>>y1>>x2>>y2;
    signed br_kvadrata=0;
    if((x1==x2 || y1==y2)){
        br_kvadrata=2;
    }
    else if(abs(x1-x2)==abs(y1-y2)){
        br_kvadrata=1;
    }
    cout<<br_kvadrata;
    return 0;
}